POSTClaim rewards on behalf of the userClaim rewards on behalf of the user. The whole unclaimed confirmed amount is paid out as the selected product, so it must be at least $1 and within the product's minAmount and maxAmount (see GET /api/rewards/products?userId=...).→GETRetrieve a list of rewards given to the user (by id)Retrieve a list of rewards in various states given to a user.→GETRetrieve a list of confirmed rewards given to the user (by id)Retrieve a list of confirmed rewards in various states given to a user. These can be claimed by the user.→GETRetrieve payouts claimed by user (by id)Retrieve a list of payouts claimed by a user.→GETRetrieve list of productsRetrieve a list of products. These should be presented to the user, as choices, when the latter claims their rewards. Pass userId to also get, per product, whether the user's current balance can be claimed as it (claimable) and how much more they need to earn to reach its minimum (amountToUnlock).→